[Qa-jenkins-scm] [Git][qa/jenkins.debian.net][master] chroot-installation tests: add ones for trixie, drop those for buster

Holger Levsen (@holger) gitlab at salsa.debian.org
Mon Jun 12 14:44:56 BST 2023



Holger Levsen pushed to branch master at Debian QA / jenkins.debian.net


Commits:
0e0f8efa by Holger Levsen at 2023-06-12T15:32:06+02:00
chroot-installation tests: add ones for trixie, drop those for buster

Signed-off-by: Holger Levsen <holger at layer-acht.org>

- - - - -


4 changed files:

- TODO
- bin/chroot-installation.sh
- bin/common-functions.sh
- job-cfg/chroot-installation.yaml.py


Changes:

=====================================
TODO
=====================================
@@ -35,13 +35,13 @@ See link:https://jenkins.debian.net/userContent/about.html["about jenkins.debian
 ** run the maintenance jobs (to create the chdist)
 ** once the above jobs are successful, restarts the builders
 ** adopt whatever suite specific hacks _create_meta_pkg_sets.sh has
-** tweak reproducible_common.sh to start collect statistics on the daily builds for trixie too
+** tweak reproducible_common.sh to start collect statistics on the daily builds for trixie too (and make_graph.py too)
+** adjust chroot_installation- jobs
 
 === 2023 things
 
 * things still to be done after the bookworm release and as trixie is open for development
 ** tweak as needed for to properly graphs the just collected statistics
-** adjust chroot jobs
 ** adjust orphaned/multiarch jobs
 ** upgrade amd64 nodes to bookworm (except jenkins)
 *** see below for how to upgrade to postgresql-15 on ionos7


=====================================
bin/chroot-installation.sh
=====================================
@@ -1,7 +1,7 @@
 #!/bin/bash
 # vim: set noexpandtab:
 
-# Copyright 2012-2021 Holger Levsen <holger at layer-acht.org>
+# Copyright 2012-2023 Holger Levsen <holger at layer-acht.org>
 #           2018-2023 Mattia Rizzolo <mattia at debian.org>
 # released under the GPLv2
 
@@ -206,11 +206,11 @@ trap cleanup_all INT TERM EXIT
 
 LXQT="lxqt"
 case $1 in
-	buster|bullseye)	DISTRO="$1"
+	bullseye)	DISTRO="$1"
 			SPECIFIC="libreoffice virt-manager mplayer chromium"
 			FIREFOX="firefox-esr"
 			;;
-	bookworm|sid)	DISTRO="$1"
+	bookworm|trixie|sid)	DISTRO="$1"
 			SPECIFIC="libreoffice virt-manager mpv chromium"
 			if [ "$DISTRO" = "sid" ] ; then
 				FIREFOX="firefox firefox-esr"
@@ -268,8 +268,8 @@ fi
 
 if [ "$3" != "" ] ; then
 	case $3 in
-		buster|bullseye|bookworm|sid)	upgrade2 $3;;
-		*)		echo "unsupported distro." ; exit 1 ;;
+		bullseye|bookworm|trixie|sid)	upgrade2 $3;;
+		*)				echo "unsupported distro." ; exit 1 ;;
 	esac
 fi
 


=====================================
bin/common-functions.sh
=====================================
@@ -233,7 +233,7 @@ jenkins_zombie_check() {
 	# related however is that I issued a reboot (via running 
 	# /sbin/reboot) right before the zombies appeared...
 	#
-	ZOMBIES="$(ls -1d /var/lib/jenkins/jobs/* | grep -E 'strip-nondeterminism|reproducible_(builder_(amd64|i386|armhf|arm64)|setup_(pbuilder|schroot)_testing)|chroot-installation_wheezy|aptdpkg|stretch_install_education-thin-client-server|jessie_multiarch_versionskew|dpkg_stretch_find_trigger_cycles|sid_install_education-services|buster_install_education-services|lvc|chroot-installation_stretch_.*_upgrade_to_sid|chroot-installation_buster_.*_upgrade_to_sid|piuparts_.*_(jessie|stretch)|lintian-tests_.*_stretch|udd_stretch|d-i_pu-build|debsums-tests_stretch|debian-archive-keyring-tests_stretch|chroot-installation_jessie|chroot-installation_.*education-lang-|kirkwoot|rebootstrap_.*_gcc[5-9]($|_)|rebootstrap_.*_gcc1[01]($|_)|brcm47xx|rebootstrap_kfreebsd|diffoscope_from_git_|disorderfs_from_git_master|diffoscope_pypi|diffoscope_freebsd|diffoscope_netbsd|diffoscope_macports|diffoscope_archlinux|openwrt-target-ath97|profitbricks|pool_buildinfos_suites|g-i-installation|reproducible_compare_Debian_sha1sums|bbx15|cb3a|ff2a|ff2b|jtk1a|jtk1b|odxu4a|odxu4b|odu3a|opi2a|opi2c|p64b|p64c|ar71xx|reproducible_debian_live_build$|chroot-installation_stretch|chroot-installation_bullseye*upgrade_to_sid|rebuilder_prototype|osuosl167|osuosl168|osuosl169|osuosl170|osuosl171|osuosl172|osuosl173|osuosl174|osuosl184fakeroot-foreign|fdroid|reproducible_.*_reproducible?$|health_check_amd64_snapshot|reproducible_.*_stretch_.*|buster_diffoscope_amd64_osuosl3' || true)"
+	ZOMBIES="$(ls -1d /var/lib/jenkins/jobs/* | grep -E 'strip-nondeterminism|reproducible_(builder_(amd64|i386|armhf|arm64)|setup_(pbuilder|schroot)_testing)|chroot-installation_wheezy|aptdpkg|stretch_install_education-thin-client-server|jessie_multiarch_versionskew|dpkg_stretch_find_trigger_cycles|sid_install_education-services|buster_install_education-services|lvc|chroot-installation_stretch_.*_upgrade_to_sid|chroot-installation_buster_.*_upgrade_to_sid|piuparts_.*_(jessie|stretch)|lintian-tests_.*_stretch|udd_stretch|d-i_pu-build|debsums-tests_stretch|debian-archive-keyring-tests_stretch|chroot-installation_jessie|chroot-installation_.*education-lang-|kirkwoot|rebootstrap_.*_gcc[5-9]($|_)|rebootstrap_.*_gcc1[01]($|_)|brcm47xx|rebootstrap_kfreebsd|diffoscope_from_git_|disorderfs_from_git_master|diffoscope_pypi|diffoscope_freebsd|diffoscope_netbsd|diffoscope_macports|diffoscope_archlinux|openwrt-target-ath97|profitbricks|pool_buildinfos_suites|g-i-installation|reproducible_compare_Debian_sha1sums|bbx15|cb3a|ff2a|ff2b|jtk1a|jtk1b|odxu4a|odxu4b|odu3a|opi2a|opi2c|p64b|p64c|ar71xx|reproducible_debian_live_build$|chroot-installation_stretch|chroot-installation_bullseye*upgrade_to_sid|rebuilder_prototype|osuosl167|osuosl168|osuosl169|osuosl170|osuosl171|osuosl172|osuosl173|osuosl174|osuosl184fakeroot-foreign|fdroid|reproducible_.*_reproducible?$|health_check_amd64_snapshot|reproducible_.*_stretch_.*|buster_diffoscope_amd64_osuosl3|chroot-installation_buster' || true)"
 	if [ -n "$ZOMBIES" ] ; then
 		DIRTY=true
 		figlet 'zombies!!!'


=====================================
job-cfg/chroot-installation.yaml.py
=====================================
@@ -5,23 +5,23 @@ import sys
 import yaml
 
 base_distros = [
-    'buster',
     'bullseye',
     'bookworm',
+    'trixie',
     'sid',
     ]
 
 distro_upgrades = {
-    'buster':  'bullseye',
-    'bullseye': 'bookworm',
-    'bookworm': 'sid',
+    'bullseye':  'bookworm',
+    'bookworm': 'trixie',
+    'trixie': 'sid',
     }
 
 # deb.debian.org runs mirror updates at 03:25, 09:25, 15:25 and 21:25 UTC and usually they run 10m...
 trigger_times = {
-    'buster':  '30 10 1 */2 *',
-    'bullseye': '30 10 4,11,18,25 * *',
-    'bookworm': '30 10 */3 * *',
+    'bullseye':  '30 10 1 */2 *',
+    'bookworm': '30 10 4,11,18,25 * *',
+    'trixie': '30 10 */3 * *',
     'sid':     '30 4 * * *',
     }
 



View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/-/commit/0e0f8efaeec5eca5ed167877148dda04efae81b1

-- 
View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/-/commit/0e0f8efaeec5eca5ed167877148dda04efae81b1
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/qa-jenkins-scm/attachments/20230612/8cb9bdd0/attachment-0001.htm>


More information about the Qa-jenkins-scm mailing list